glib-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object A simple file IO utility class Contains a single static method GetFileContents(string filename) which returns the contents of a text file as a string.
- Method
  2.12.0.0
  System.String `` The file GetFileContents() should retrieve its result from. An object of type Returns a string containing the contents of the text file passed as the 'filename' parameter. Returns the contents of a text file. An object of type `using System; class Test { public static void Main(string[] args) { Console.WriteLine(GLib.FileUtils.GetFileContents(args[0])); } }`